Package tigase.xmpp.impl

# Class PresenceSubscription.PresenceSubscriptionVHostItemExtensionProvider

java.lang.Object
tigase.xmpp.impl.PresenceSubscription.PresenceSubscriptionVHostItemExtensionProvider

All Implemented Interfaces:
  `VHostItemExtensionProvider<PresenceSubscription.PresenceSubscriptionVHostItemExtension>`

Enclosing class:
  PresenceSubscription

@Bean(name="presence-subscription", parent=VHostItemExtensionManager.class, active=true) public static class PresenceSubscription.PresenceSubscriptionVHostItemExtensionProvider extends Object implements VHostItemExtensionProvider<PresenceSubscription.PresenceSubscriptionVHostItemExtension>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PresenceSubscriptionVHostItemExtensionProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<PresenceSubscription.PresenceSubscriptionVHostItemExtension>`
  `getExtensionClazz()`
  Returns class of the extension
  `String`
  `getId()`
  Returns unique id of the extension

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PresenceSubscriptionVHostItemExtensionProvider

    public PresenceSubscriptionVHostItemExtensionProvider()

- ## Method Details

  - ### getId

    public String getId()
    Description copied from interface: `VHostItemExtensionProvider`
    Returns unique id of the extension
    Specified by:
      `getId` in interface `VHostItemExtensionProvider<PresenceSubscription.PresenceSubscriptionVHostItemExtension>`

  - ### getExtensionClazz

    public Class<PresenceSubscription.PresenceSubscriptionVHostItemExtension> getExtensionClazz()
    Description copied from interface: `VHostItemExtensionProvider`
    Returns class of the extension
    Specified by:
      `getExtensionClazz` in interface `VHostItemExtensionProvider<PresenceSubscription.PresenceSubscriptionVHostItemExtension>`